Browser support

Minimum browser requirements

You will need one of the following browsers to view this site and submit a report to the ACORN; these browsers have been tested and confirmed to work. While other browsers may work (including Beta versions), they are not supported at this time.

  • Internet Explorer version 9 +
  • Mozilla Firefox version 24 +
  • Google Chrome version 29 +
  • Safari version 5 +

The ACORN website and submission form is mobile and tablet friendly. Should you encounter any issues viewing or submitting cybercrime reports, please provide us with feedback.

Browser settings

Your browser must be set to allow Secure Sockets Layer (SSL), Cookies and JavaScript. Most browsers are supplied with Cookies, SSL and JavaScript turned on, and you should not need to change these settings.

Help

Should you need help, please refer to the relevant website for your preferred browser: